commit:     66645e2f9cf414253a052fad4b174b364747a7bb
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed May 22 13:42:53 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed May 22 15:41:21 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66645e2f

media-sound/bitmeter: EAPI-7 bump, virtual/jack, https

Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-sound/bitmeter/bitmeter-1.2-r2.ebuild | 40 +++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/media-sound/bitmeter/bitmeter-1.2-r2.ebuild 
b/media-sound/bitmeter/bitmeter-1.2-r2.ebuild
new file mode 100644
index 00000000000..4ee1222e4af
--- /dev/null
+++ b/media-sound/bitmeter/bitmeter-1.2-r2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Diagnosis tool for JACK audio software"
+HOMEPAGE="https://devel.tlrmx.org/audio/";
+SRC_URI="https://devel.tlrmx.org/audio/source/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="doc"
+
+BDEPEND="
+       virtual/pkgconfig
+"
+DEPEND="
+       virtual/jack
+       x11-libs/gtk+:2
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.2-fix-build-system.patch
+       "${FILESDIR}"/${PN}-1.2-qa-desktop-file.patch
+)
+
+src_prepare() {
+       default
+       mv configure.{in,ac} || die
+       eautoreconf
+}
+
+src_install() {
+       use doc && local HTML_DOCS=( doc/*.{png,html} )
+       default
+}

Reply via email to